# SubredditCollections

class `praw.models.reddit.collections.``SubredditCollections`(reddit: Reddit, subreddit: Subreddit, _data: Optional[Dict[str, Any]] = None)

  Class to represent a Subreddit’s `Collection`s.

  Obtain an instance via:

      reddit.subreddit("SUBREDDIT").collections

  `__call__`(collection_id: Optional[str] = None, permalink: Optional[str] = None)

    Return the `Collection` with the specified ID.

    Parameters

      - collection_id – The ID of a Collection (default: None).

      - permalink – The permalink of a Collection (default: None).

    Returns

      The specified Collection.

    Exactly one of `collection_id` and `permalink` is required.

    Example usage:

        subreddit = reddit.subreddit("SUBREDDIT")

        uuid = "847e4548-a3b5-4ad7-afb4-edbfc2ed0a6b"
        collection = subreddit.collections(uuid)
        print(collection.title)
        print(collection.description)

        permalink = 'https://www.reddit.com/r/SUBREDDIT/collection/' + uuid
        collection = subreddit.collections(permalink=permalink)
        print(collection.title)
        print(collection.description)

  `__init__`(reddit: Reddit, subreddit: Subreddit, _data: Optional[Dict[str, Any]] = None)

    Initialize an instance of SubredditCollections.

  `__iter__`()

    Iterate over the Subreddit’s `Collection`s.

    Example usage:

        for collection in reddit.subreddit("SUBREDDIT").collections:
            print(collection.permalink)

  `mod`()

    Get an instance of `SubredditCollectionsModeration`.

    Provides `create()`:

        my_sub = reddit.subreddit("SUBREDDIT")
        new_collection = my_sub.collections.mod.create("Title", "desc")

  classmethod `parse`(data: Dict[str, Any], reddit: Reddit) → Any

    Return an instance of `cls` from `data`.

    Parameters

      - data – The structured data.

      - reddit – An instance of `Reddit`.